GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
sync.h File Reference
`#include <grpc/support/port_platform.h>`
`#include <grpc/support/sync_generic.h>`
`#include <grpc/support/time.h>`
`#include <grpc/support/cancellable_platform.h>`

Go to the source code of this file.

## Functions
void | gpr_mu_init (gpr_mu *mu)
void | gpr_mu_destroy (gpr_mu *mu)
void | gpr_mu_lock (gpr_mu *mu)
void | gpr_mu_unlock (gpr_mu *mu)
int | gpr_mu_trylock (gpr_mu *mu)
void | gpr_cv_init (gpr_cv *cv)
void | gpr_cv_destroy (gpr_cv *cv)
int | gpr_cv_wait (gpr_cv *cv, gpr_mu *mu, gpr_timespec abs_deadline)
int | gpr_cv_cancellable_wait (gpr_cv *cv, gpr_mu *mu, gpr_timespec abs_deadline, gpr_cancellable *c)
void | gpr_cv_signal (gpr_cv *cv)
void | gpr_cv_broadcast (gpr_cv *cv)
void | gpr_cancellable_init (gpr_cancellable *c)
void | gpr_cancellable_destroy (gpr_cancellable *c)
int | gpr_cancellable_is_cancelled (gpr_cancellable *c)
void | gpr_cancellable_cancel (gpr_cancellable *c)
void | gpr_once_init (gpr_once *once, void(*init_routine)(void))
void | gpr_event_init (gpr_event *ev)
void | gpr_event_set (gpr_event *ev, void *value)
void * | gpr_event_get (gpr_event *ev)
void * | gpr_event_wait (gpr_event *ev, gpr_timespec abs_deadline)
void * | gpr_event_cancellable_wait (gpr_event *ev, gpr_timespec abs_deadline, gpr_cancellable *c)
void | gpr_ref_init (gpr_refcount *r, int n)
void | gpr_ref (gpr_refcount *r)
void | gpr_refn (gpr_refcount *r, int n)
int | gpr_unref (gpr_refcount *r)
void | gpr_stats_init (gpr_stats_counter *c, gpr_intptr n)
void | gpr_stats_inc (gpr_stats_counter *c, gpr_intptr inc)
gpr_intptr | gpr_stats_read (const gpr_stats_counter *c)

## Function Documentation

void gpr_cancellable_cancel | ( | gpr_cancellable * | c | ) |

void gpr_cancellable_destroy | ( | gpr_cancellable * | c | ) |

void gpr_cancellable_init | ( | gpr_cancellable * | c | ) |

int gpr_cancellable_is_cancelled | ( | gpr_cancellable * | c | ) |

void gpr_cv_broadcast | ( | gpr_cv * | cv | ) |

int gpr_cv_cancellable_wait | ( | gpr_cv * | cv,
|  | gpr_mu * | mu,
|  | gpr_timespec | abs_deadline,
|  | gpr_cancellable * | c
| ) |  |

void gpr_cv_destroy | ( | gpr_cv * | cv | ) |

void gpr_cv_init | ( | gpr_cv * | cv | ) |

void gpr_cv_signal | ( | gpr_cv * | cv | ) |

int gpr_cv_wait | ( | gpr_cv * | cv,
|  | gpr_mu * | mu,
|  | gpr_timespec | abs_deadline
| ) |  |

void* gpr_event_cancellable_wait | ( | gpr_event * | ev,
|  | gpr_timespec | abs_deadline,
|  | gpr_cancellable * | c
| ) |  |

void* gpr_event_get | ( | gpr_event * | ev | ) |

void gpr_event_init | ( | gpr_event * | ev | ) |

void gpr_event_set | ( | gpr_event * | ev,
|  | void * | value
| ) |  |

void* gpr_event_wait | ( | gpr_event * | ev,
|  | gpr_timespec | abs_deadline
| ) |  |

void gpr_mu_destroy | ( | gpr_mu * | mu | ) |

void gpr_mu_init | ( | gpr_mu * | mu | ) |

void gpr_mu_lock | ( | gpr_mu * | mu | ) |

int gpr_mu_trylock | ( | gpr_mu * | mu | ) |

void gpr_mu_unlock | ( | gpr_mu * | mu | ) |

void gpr_once_init | ( | gpr_once * | once,
|  | void(*)(void) | init_routine
| ) |  |

void gpr_ref | ( | gpr_refcount * | r | ) |

void gpr_ref_init | ( | gpr_refcount * | r,
|  | int | n
| ) |  |

void gpr_refn | ( | gpr_refcount * | r,
|  | int | n
| ) |  |

void gpr_stats_inc | ( | gpr_stats_counter * | c,
|  | gpr_intptr | inc
| ) |  |

void gpr_stats_init | ( | gpr_stats_counter * | c,
|  | gpr_intptr | n
| ) |  |

gpr_intptr gpr_stats_read | ( | const gpr_stats_counter * | c | ) |

int gpr_unref | ( | gpr_refcount * | r | ) |